# plotbessel
z = 0:0.1:20;
J1 = zeros(5,201);
for i = 0:4
  for j = 1:201
    J1(i+1,j) = bessel_J(i,z(j));
  endfor  
endfor
plot(z,J1)
grid on
legend('J_0','J_1','J_2','J_3','J_4','Location','Best')
title('Bessel Functions of the First Kind for $\nu \in [0, 4]$','interpreter','latex')
xlabel('z','interpreter','latex')
ylabel('$J_\nu(z)$','interpreter','latex')
